## nixnote2 2.1.1+git20181211

=== CMakeLists.txt ===
# trivial cmake project file to enable debugging in clion
# currently far from perfect and can't really be used to build the project (use qmake to build)
# but it can be used as starting point for clion to recognise at least some parts of Qt
# I'll improve later

# additional options to be set before use:
# EXAMPLE:
# cmake flags:
# -DCMAKE_BUILD_TYPE=Debug -DCMAKE_PREFIX_PATH=/d/dev/Qt/5.5/gcc_64;/d/dev/libs
# environment:
# PKG_CONFIG_PATH=/d/dev/libs/lib/pkgconfig
# where in example "/d/dev/libs" is path where additional libs are installed (e.g. tidy)
# and "/d/dev/Qt/5.5/gcc_64" is example of QT root

cmake_minimum_required (VERSION 3.0.2)
project (nixnote2)
add_definitions(-std=c++11)

find_package (Qt5Widgets REQUIRED)
find_package (Qt5Gui REQUIRED)
find_package (Qt5Sql REQUIRED)
find_package (Qt5Network REQUIRED)
find_package (Qt5WebKit REQUIRED)
find_package (Qt5WebKitWidgets REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(TIDY REQUIRED tidy)

set (nixnote2_src
        src/application.cpp
        src/global.cpp
        src/main.cpp
        src/nixnote.cpp
        src/cmdtools/addnote.cpp
        src/cmdtools/alternote.cpp
        src/cmdtools/cmdlinequery.cpp
        src/cmdtools/cmdlinetool.cpp
        src/cmdtools/deletenote.cpp
        src/cmdtools/emailnote.cpp
        src/cmdtools/extractnotes.cpp
        src/cmdtools/extractnotetext.cpp
        src/cmdtools/importnotes.cpp
        src/cmdtools/signalgui.cpp
        src/communication/communicationerror.cpp
        src/communication/communicationmanager.cpp
        src/dialog/aboutdialog.cpp
        src/dialog/accountdialog.cpp
        src/dialog/accountmaintenancedialog.cpp
        src/dialog/adduseraccountdialog.cpp
        src/dialog/closenotebookdialog.cpp
        src/dialog/databasestatus.cpp
        src/dialog/emaildialog.cpp
        src/dialog/encryptdialog.cpp
        src/dialog/endecryptdialog.cpp
        src/dialog/faderdialog.cpp
        src/dialog/htmlentitiesdialog.cpp
        src/dialog/insertlatexdialog.cpp
        src/dialog/insertlinkdialog.cpp
        src/dialog/locationdialog.cpp
        src/dialog/logindialog.cpp
        src/dialog/notebookproperties.cpp
        src/dialog/notehistoryselect.cpp
        src/dialog/noteproperties.cpp
        src/dialog/preferences/appearancepreferences.cpp
        src/dialog/preferences/debugpreferences.cpp
        src/dialog/preferences/emailpreferences.cpp
        src/dialog/preferences/exitpreferences.cpp
        src/dialog/preferences/localepreferences.cpp
        src/dialog/preferences/preferencesdialog.cpp
        src/dialog/preferences/searchpreferences.cpp
        src/dialog/preferences/syncpreferences.cpp
        src/dialog/preferences/thumbnailpreferences.cpp
        src/dialog/remindersetdialog.cpp
        src/dialog/savedsearchproperties.cpp
        src/dialog/shortcutdialog.cpp
        src/dialog/spellcheckdialog.cpp
        src/dialog/tabledialog.cpp
        src/dialog/tagproperties.cpp
        src/dialog/watchfolderadd.cpp
        src/dialog/watchfolderdialog.cpp
        src/email/emailaddress.cpp
        src/email/mimeattachment.cpp
        src/email/mimecontentformatter.cpp
        src/email/mimefile.cpp
        src/email/mimehtml.cpp
        src/email/mimeinlinefile.cpp
        src/email/mimemessage.cpp
        src/email/mimemultipart.cpp
        src/email/mimepart.cpp
        src/email/mimetext.cpp
        src/email/quotedprintable.cpp
        src/email/smtpclient.cpp
        src/exits/exitmanager.cpp
        src/exits/exitpoint.cpp
        src/filters/filtercriteria.cpp
        src/filters/filterengine.cpp
        src/filters/notesortfilterproxymodel.cpp
        src/filters/remotequery.cpp
        src/gui/browserWidgets/authoreditor.cpp
        src/gui/browserWidgets/colormenu.cpp
        src/gui/browserWidgets/dateeditor.cpp
        src/gui/browserWidgets/datetimeeditor.cpp
        src/gui/browserWidgets/editorbuttonbar.cpp
        src/gui/browserWidgets/expandbutton.cpp
        src/gui/browserWidgets/fontnamecombobox.cpp
        src/gui/browserWidgets/fontsizecombobox.cpp
        src/gui/browserWidgets/locationeditor.cpp
        src/gui/browserWidgets/notebookmenubutton.cpp
        src/gui/browserWidgets/ntitleeditor.cpp
        src/gui/browserWidgets/reminderbutton.cpp
        src/gui/browserWidgets/table/tablepropertiesdialog.cpp
        src/gui/browserWidgets/tageditor.cpp
        src/gui/browserWidgets/tageditornewtag.cpp
        src/gui/browserWidgets/tagviewer.cpp
        src/gui/browserWidgets/urleditor.cpp
        src/gui/datedelegate.cpp
        src/gui/externalbrowse.cpp
        src/gui/favoritesview.cpp
        src/gui/favoritesviewdelegate.cpp
        src/gui/favoritesviewitem.cpp
        src/gui/findreplace.cpp
        src/gui/flowlayout.cpp
        src/gui/imagedelegate.cpp
        src/gui/lineedit.cpp
        src/gui/nattributetree.cpp
        src/gui/nbrowserwindow.cpp
        src/gui/nmainmenubar.cpp
        src/gui/nnotebookview.cpp
        src/gui/nnotebookviewdelegate.cpp
        src/gui/nnotebookviewitem.cpp
        src/gui/nsearchview.cpp
        src/gui/nsearchviewitem.cpp
        src/gui/ntableview.cpp
        src/gui/ntableviewheader.cpp
        src/gui/ntabwidget.cpp
        src/gui/ntagview.cpp
        src/gui/ntagviewdelegate.cpp
        src/gui/ntagviewitem.cpp
        src/gui/ntrashtree.cpp
        src/gui/ntrashviewdelegate.cpp
        src/gui/numberdelegate.cpp
        src/gui/nwebpage.cpp
        src/gui/nwebview.cpp
        src/gui/plugins/pluginfactory.cpp
        src/gui/plugins/popplergraphicsview.cpp
        src/gui/plugins/popplerviewer.cpp
        src/gui/reminderorderdelegate.cpp
        src/gui/shortcutkeys.cpp
        src/gui/traymenu.cpp
        src/gui/treewidgeteditor.cpp
        src/gui/truefalsedelegate.cpp
        src/gui/widgetpanel.cpp
        src/logger/qsdebugoutput.cpp
        src/logger/qslog.cpp
        src/logger/qslogdest.cpp
        src/models/notecache.cpp
        src/models/notemodel.cpp
        src/models/ntreemodel.cpp
        src/oauth/oauthtokenizer.cpp
        src/oauth/oauthwindow.cpp
        src/hunspell/spellchecker.cpp
        src/qevercloud/AsyncResult.cpp
        src/qevercloud/EventLoopFinisher.cpp
        src/qevercloud/exceptions.cpp
        src/qevercloud/generated/constants.cpp
        src/qevercloud/generated/services.cpp
        src/qevercloud/generated/types.cpp
        src/qevercloud/http.cpp
        src/qevercloud/oauth.cpp
        src/qevercloud/services_nongenerated.cpp
        src/reminders/reminderevent.cpp
        src/reminders/remindermanager.cpp
        src/settings/accountsmanager.cpp
        src/settings/colorsettings.cpp
        src/settings/filemanager.cpp
        src/settings/startupconfig.cpp
        src/sql/configstore.cpp
        src/sql/databaseconnection.cpp
        src/sql/databaseupgrade.cpp
        src/sql/datastore.cpp
        src/sql/favoritesrecord.cpp
        src/sql/favoritestable.cpp
        src/sql/filewatchertable.cpp
        src/sql/linkednotebooktable.cpp
        src/sql/notebooktable.cpp
        src/sql/notemetadata.cpp
        src/sql/notetable.cpp
        src/sql/nsqlquery.cpp
        src/sql/resourcetable.cpp
        src/sql/searchtable.cpp
        src/sql/sharednotebooktable.cpp
        src/sql/tagtable.cpp
        src/sql/usertable.cpp
        src/html/attachmenticonbuilder.cpp
        src/html/enmlformatter.cpp
        src/html/noteformatter.cpp
        src/html/tagscanner.cpp
        src/html/thumbnailer.cpp
        src/threads/browserrunner.cpp
        src/threads/counterrunner.cpp
        src/threads/indexrunner.cpp
        src/threads/syncrunner.cpp
        src/utilities/crossmemorymapper.cpp
        src/utilities/debugtool.cpp
        src/utilities/encrypt.cpp
        src/utilities/mimereference.cpp
        src/utilities/noteindexer.cpp
        src/utilities/nuuid.cpp
        src/utilities/pixelconverter.cpp
        src/watcher/filewatcher.cpp
        src/watcher/filewatchermanager.cpp
        src/xml/batchimport.cpp
        src/xml/exportdata.cpp
        src/xml/importdata.cpp
        src/xml/importenex.cpp
        src/xml/xmlhighlighter.cpp
        src/quentier/utility/StringUtils.cpp
        src/quentier/utility/StringUtils_p.cpp
        testsrc/tests.cpp
)
set (nixnote2_hdr
        src/application.h
        src/nixnote.h
        src/global.h
        src/cmdtools/addnote.h
        src/cmdtools/alternote.h
        src/cmdtools/cmdlinequery.h
        src/cmdtools/cmdlinetool.h
        src/cmdtools/deletenote.h
        src/cmdtools/emailnote.h
        src/cmdtools/extractnotes.h
        src/cmdtools/extractnotetext.h
        src/cmdtools/importnotes.h
        src/cmdtools/signalgui.h
        src/communication/communicationerror.h
        src/communication/communicationmanager.h
        src/dialog/aboutdialog.h
        src/dialog/accountdialog.h
        src/dialog/accountmaintenancedialog.h
        src/dialog/adduseraccountdialog.h
        src/dialog/closenotebookdialog.h
        src/dialog/databasestatus.h
        src/dialog/emaildialog.h
        src/dialog/encryptdialog.h
        src/dialog/endecryptdialog.h
        src/dialog/faderdialog.h
        src/dialog/htmlentitiesdialog.h
        src/dialog/insertlatexdialog.h
        src/dialog/insertlinkdialog.h
        src/dialog/locationdialog.h
        src/dialog/logindialog.h
        src/dialog/notebookproperties.h
        src/dialog/notehistoryselect.h
        src/dialog/noteproperties.h
        src/dialog/preferences/appearancepreferences.h
        src/dialog/preferences/debugpreferences.h
        src/dialog/preferences/emailpreferences.h
        src/dialog/preferences/exitpreferences.h
        src/dialog/preferences/localepreferences.h
        src/dialog/preferences/preferencesdialog.h
        src/dialog/preferences/searchpreferences.h
        src/dialog/preferences/syncpreferences.h
        src/dialog/preferences/thumbnailpreferences.h
        src/dialog/remindersetdialog.h
        src/dialog/savedsearchproperties.h
        src/dialog/shortcutdialog.h
        src/dialog/spellcheckdialog.h
        src/dialog/tabledialog.h
        src/dialog/tagproperties.h
        src/dialog/watchfolderadd.h
        src/dialog/watchfolderdialog.h
        src/email/emailaddress.h
        src/email/mimeattachment.h
        src/email/mimecontentformatter.h
        src/email/mimefile.h
        src/email/mimehtml.h
        src/email/mimeinlinefile.h
        src/email/mimemessage.h
        src/email/mimemultipart.h
        src/email/mimepart.h
        src/email/mimetext.h
        src/email/quotedprintable.h
        src/email/smtpclient.h
        src/email/smtpexports.h
        src/exits/exitmanager.h
        src/exits/exitpoint.h
        src/filters/filtercriteria.h
        src/filters/filterengine.h
        src/filters/notesortfilterproxymodel.h
        src/filters/remotequery.h
        src/gui/browserWidgets/authoreditor.h
        src/gui/browserWidgets/colormenu.h
        src/gui/browserWidgets/dateeditor.h
        src/gui/browserWidgets/datetimeeditor.h
        src/gui/browserWidgets/editorbuttonbar.h
        src/gui/browserWidgets/expandbutton.h
        src/gui/browserWidgets/fontnamecombobox.h
        src/gui/browserWidgets/fontsizecombobox.h
        src/gui/browserWidgets/locationeditor.h
        src/gui/browserWidgets/notebookmenubutton.h
        src/gui/browserWidgets/ntitleeditor.h
        src/gui/browserWidgets/reminderbutton.h
        src/gui/browserWidgets/table/tablepropertiesdialog.h
        src/gui/browserWidgets/tageditor.h
        src/gui/browserWidgets/tageditornewtag.h
        src/gui/browserWidgets/tagviewer.h
        src/gui/browserWidgets/urleditor.h
        src/gui/datedelegate.h
        src/gui/externalbrowse.h
        src/gui/favoritesview.h
        src/gui/favoritesviewdelegate.h
        src/gui/favoritesviewitem.h
        src/gui/findreplace.h
        src/gui/flowlayout.h
        src/gui/imagedelegate.h
        src/gui/lineedit.h

## nixnote2 2.0~beta11

=== debian/changelog ===
nixnote2 (2.0~beta11-1) unstable; urgency=medium

  * New upstream release.
  * Switch back to build with Qt5 as upstream recommends.
    - Refresh patch about qevercloud library.
  * No longer mark as +dfsg, all files are dfsg compatible.
    - Drop old patch 0001 for README.txt, upstream has refreshed it.
    - Drop old patch 0003 for purple-theme, licensed under GPL-2+.
    - Update watch file.
    - Update README.source.
  * Cherry-pick several upstream commits.
    - Add patch 0002 for switching default notebook.
    - Add patch 0003 to fix the bug about tagging with Qt5.
    - Add patch 0004 to fix the bug about searching "-" in a note.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 13 Jan 2017 11:38:04 +0800

nixnote2 (2.0~beta10+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #609849)

 -- Boyuan Yang <073plan@gmail.com>  Mon, 14 Nov 2016 16:37:20 +0800

=== debian/control ===
Source: nixnote2
Section: utils
Priority: optional
Maintainer: Boyuan Yang <073plan@gmail.com>
Build-Depends:
 debhelper (>= 10),
 default-jdk,
 javahelper,
 libavcodec-dev,
 libavformat-dev,
 libboost-dev,
 libcurl4-openssl-dev | libcurl-dev | libcurl4-nss-dev | libcurl4-gnutls-dev,
 libhunspell-dev,
 libpoppler-qt5-dev,
 libqt5webkit5-dev,
 libswscale-dev,
 qt5-qmake,
 qt5qevercloud-dev,
 qtbase5-dev,
 qttools5-dev-tools,
Standards-Version: 3.9.8
Homepage: http://nevernote.sourceforge.net
Vcs-Git: https://anonscm.debian.org/git/collab-maint/nixnote2.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/nixnote2.git

Package: nixnote2
Architecture: any
Depends:
 tidy,
 ${java:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 mimetex,
 ${java:Recommends},
Suggests:
 cups,
Description: Open Source Evernote client
 NixNote is a client for the Evernote service (www.evernote.com).  It
 will allow synchronization and editing of notes from your local
 system.
 .
 Once known as "NeverNote", this software was rewritten in C++/Qt to
 provide a native user experience.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT = 5

_DEBIAN_VERSION=$(shell dpkg-parsechangelog | grep '^Version: .*' | grep -o ' .*' | grep -o '[0-9].*')
_VERSION=$(shell echo $(_DEBIAN_VERSION) | cut -d- -f 1)
_PKGNAME=$(shell dpkg-parsechangelog | head -n 1 | cut -d ' ' -f 2)
JAVA_HOME=/usr/lib/jvm/default-java
CLASSPATH=.

# main packaging script based on dh7 syntax
%:
	dh $@ --with javahelper

# update translation files before build
override_dh_auto_build:
	lrelease NixNote2.pro
	dh_auto_build

# build java jar file from source, discard upstream jar file
override_jh_build:
	jh_build -N --main=cx.fbn.encrypt.Crypto --javacopts="-source 1.6 -target 1.6"

# handle changelog.txt manually since dh_installchangelogs won't do
# that automatically
override_dh_installchangelogs:
	dh_installchangelogs changelog.txt

override_dh_clean:
	dh_clean install translations/*.qm

# pdf document really don't need compression
override_dh_compress:
	dh_compress -X.pdf

# upstream qmake instruction is really poor,
# handle install manually using *.install file
override_dh_auto_install:

# never install ts translation file
override_dh_install:
	dh_install -X*.ts

# replace __VERSION__ placeholder with source version name
override_dh_installdocs:
	dh_installdocs
	find debian/$(_PKGNAME)/ -type f -exec sed -i 's/__VERSION__/$(_VERSION)/g' {} + || true

## nixnote2 2.0

=== debian/changelog ===
nixnote2 (2.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 23 Jun 2017 22:57:30 +0800

nixnote2 (2.0-1~exp1) experimental; urgency=medium

  * New upstream stable release.
  * Update Homepage URL to use nixnote.org.
  * Refresh d/copyright information.
  * Refresh patches:
    + Drop old patches 0002-0004, applied upstream.
    + Cherry-pick upstream patch for command line import.
    + Cherry-pick upstream patch for plugin-path finding.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 08 May 2017 15:24:22 +0800

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  qtbase5-dev,
  qttools5-dev-tools,
 Standards-Version: 3.9.8
-Homepage: http://nevernote.sourceforge.net
+Homepage: http://nixnote.org
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/nixnote2.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/nixnote2.git

## nixnote2 2.0.2

=== debian/changelog ===
nixnote2 (2.0.2-2build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:37:51 +0000

nixnote2 (2.0.2-2) unstable; urgency=high

  * Add missing dependency libqt5sql5-sqlite. (Closes: #878185)
  * Bump Standards-Version to 4.1.1.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 12 Oct 2017 10:19:07 +0800

nixnote2 (2.0.2-1) unstable; urgency=medium

  * New upstream release.
    + Force UTF-8 encoding by default. (Closes: #864978)
  * Refresh patches.
  * Bump Standard-Version to 4.1.0.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 26 Sep 2017 10:59:29 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nixnote2
 Section: utils
 Priority: optional
-Maintainer: Boyuan Yang <073plan@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boyuan Yang <073plan@gmail.com>
 Build-Depends:
  debhelper (>= 10),
  default-jdk,
@@ -18,7 +19,7 @@
  qt5qevercloud-dev,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://nixnote.org
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/nixnote2.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/nixnote2.git
@@ -27,6 +28,7 @@
 Architecture: any
 Depends:
  tidy,
+ libqt5sql5-sqlite,
  ${java:Depends},
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,10 @@
 override_jh_build:
 	jh_build -N --main=cx.fbn.encrypt.Crypto --javacopts="-source 1.6 -target 1.6"
 
+# set prefix during configure
+override_dh_auto_configure:
+	dh_auto_configure PREFIX=/usr --
+
 # handle changelog.txt manually since dh_installchangelogs won't do
 # that automatically
 override_dh_installchangelogs:

=== debian/watch ===
version=4
opts="dversionmangle=s/(\+\d*)?\+dfsg\d*$//,pgpmode=none,uversionmangle=s/-beta/~beta/" https://github.com/baumgarr/nixnote2/tags /.*/.*/.*/v?(.+)\.tar\.gz debian uupdate

## nixnote2 2.1.1

=== debian/changelog ===
nixnote2 (2.1.1-0.1~mx17+1) mx; urgency=medium

  * New upstream release, build for MX 17.
  * Drop all patches, fixed in this release.
  * Disable automatic dbgsym packages.
  * Revert to debhelper compat 10 to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Dec 2018 18:04:41 -0800

nixnote2 (2.1.1~git20181202-1) unstable; urgency=medium

  * New upstream snapshot 2018-12-02.
  * Upload onto unstable.
  * debian/patches:
    - Drop all patches, merged upstream.
    + Add patch to install correct upstream changelog.
  * debian/README.source: Removed since it is useless.
  * debian/README.Debian: Removed, upstream is not shipping
    plugins now.
  * debian/control:
    + Set Rules-Requires-Root: no.
    + Build-depends on debhelper-compat instead of setting
      debian/compat.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Dec 2018 11:21:03 -0500

nixnote2 (2.1.0-1) experimental; urgency=medium

  * Switch to new upstream with 2.1.0 release.
  * debian/control:
    + Drop java build-dependencies.
    + Update Homepage field.
  * debian/rules:
    + Restore minimal build script.

 -- Boyuan Yang <byang@debian.org>  Mon, 26 Nov 2018 14:33:02 -0500

nixnote2 (2.0.2-4) unstable; urgency=medium

  * Rebuild against gcc 8.2.
  * debian/control:
    + Update my maintainer email address and use @debian.org one.
    + Bump Standards-Version to 4.2.1 (no changes needed).
  * debian/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <byang@debian.org>  Wed, 07 Nov 2018 18:11:54 -0500

nixnote2 (2.0.2-3) unstable; urgency=medium

  * Backport patches from upstream trunk.
  * Use builtin evernote qt bindings again.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Migrate to Salsa platform for Vcs fields.
  * Bump debhelper compat version to v11.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 09 May 2018 21:55:09 +0800

=== debian/control ===
Source: nixnote2
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 debhelper (>= 10~),
 libavcodec-dev,
 libavformat-dev,
 libboost-dev,
 libcurl4-openssl-dev | libcurl-dev | libcurl4-nss-dev | libcurl4-gnutls-dev,
 libhunspell-dev,
 libpoppler-qt5-dev,
 libqt5webkit5-dev,
 libswscale-dev,
 libtidy-dev (>= 5.6),
 pkg-config,
 qt5-qmake,
 qtbase5-dev,
 qttools5-dev-tools,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://github.com/robert7/nixnote2
Vcs-Git: https://salsa.debian.org/debian/nixnote2.git
Vcs-Browser: https://salsa.debian.org/debian/nixnote2

Package: nixnote2
Architecture: any
Depends:
 libqt5sql5-sqlite,
 tidy,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 mimetex,
Suggests:
 cups,
Description: Open Source Evernote client
 NixNote is a client for the Evernote service (www.evernote.com).  It
 will allow synchronization and editing of notes from your local
 system.
 .
 Once known as "NeverNote", this software was rewritten in C++/Qt to
 provide a native user experience.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT := 5

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=qmake

override_dh_auto_configure:
	dh_auto_configure -- PREFIX=/usr

override_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## nixnote2 2.1.1+git20181211

=== debian/changelog ===
nixnote2 (2.1.1+git20181211-1) unstable; urgency=medium

  * New upstream git snapshot 20181211.
    + Replace non-free icon with a GPL-3-licensed one.
      (Closes: #916219)
  * debian/patches:
    - Drop merged patches.
  * debian/copyright:
    + Update copyright for icons.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Dec 2018 16:02:23 -0500

nixnote2 (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * debian/patches:
    - Remove merged patches.
    + Backport upstream patch to use correct QMAKE_STRIP.
      (Closes: #915590)
  * debian/maintscript:
    + Add a maintscript file to handle symlink_to_dir.
      (Closes: # 915587)

 -- Boyuan Yang <byang@debian.org>  Fri, 07 Dec 2018 22:55:04 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: nixnote2
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 11),
  libavcodec-dev,
  libavformat-dev,
  libboost-dev,
@@ -13,7 +12,7 @@
  libpoppler-qt5-dev,
  libqt5webkit5-dev,
  libswscale-dev,
- libtidy-dev (>= 5.6),
+ libtidy-dev,
  pkg-config,
  qt5-qmake,
  qtbase5-dev,

=== debian/watch ===
version=4
opts="uversionmangle=s/-/~/" \
 https://github.com/robert7/nixnote2/tags /.*/.*/.*/v(.+)\.tar\.gz debian uupdate

## nixnote2 2.1.2

=== debian/changelog ===
nixnote2 (2.1.2-1) unstable; urgency=medium

  * New upstream release 2.1.2.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.3.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Jan 2019 22:21:55 -0500

nixnote2 (2.1.1+git20181215-1) unstable; urgency=medium

  * New upstream git snapshot 20181215.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Dec 2018 23:54:58 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  libavcodec-dev,
  libavformat-dev,
  libboost-dev,
@@ -17,7 +17,7 @@
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Homepage: https://github.com/robert7/nixnote2
 Vcs-Git: https://salsa.debian.org/debian/nixnote2.git

## nixnote2 2.1.3+dfsg1

=== debian/changelog ===
nixnote2 (2.1.3+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Jul 2019 12:58:00 -0400

nixnote2 (2.1.3+dfsg1-1) experimental; urgency=medium

  * New upstream release 2.1.3.
  * dfsg: Remove webpages provided in testsrc/testdata/; those HTML
    contents are taken from some random websites and they are not
    DFSG-compatible.
  * debian/watch: Apply dfsg-related watch rules.

 -- Boyuan Yang <byang@debian.org>  Mon, 06 May 2019 14:37:29 -0400

## nixnote2 2.1.4+dfsg1

=== src/qevercloud/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/QEverCloud/cmake/modules")
include(QEverCloudCMakePolicies)
SET_POLICIES()

if("${CMAKE_MAJOR_VERSION}" GREATER "2")
  project(QEverCloud
          VERSION 4.0.0)
else()
  project(QEverCloud)
  set(PROJECT_VERSION_MAJOR "4")
  set(PROJECT_VERSION_MINOR "0")
  set(PROJECT_VERSION_PATCH "0")
  set(PROJECT_VERSION_COUNT 3)
  set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
endif()

set(PROJECT_VENDOR "Dmitry Ivanov")
set(PROJECT_COPYRIGHT_YEAR "2015-2016")
set(PROJECT_DOMAIN_FIRST "qevercloud")
set(PROJECT_DOMAIN_SECOND "com")
set(PROJECT_DOMAIN "${PROJECT_DOMAIN_FIRST}.${PROJECT_DOMAIN_SECOND}")

include(QEverCloudDoxygen)

set(BUILD_DOCUMENTATION ON CACHE BOOL "Build documentation for QEverCloud")
set(BUILD_QCH_DOCUMENTATION OFF CACHE BOOL "Build documentation for QEverCloud in qch format")
set(BUILD_WITH_OAUTH_SUPPORT ON CACHE BOOL "Build QEverCloud with OAuth support")

if(BUILD_DOCUMENTATION)
  # set Doxygen documentation properties
  set(DOXY_INPUT "${PROJECT_SOURCE_DIR}/QEverCloud/headers ${PROJECT_SOURCE_DIR}/README.md")
  set(DOXY_USE_MDFILE_AS_MAINPAGE "${PROJECT_SOURCE_DIR}/README.md")
  set(DOXY_RECURSIVE "YES")
  set(DOXY_PROJECT_NAME ${PROJECT_NAME})
  set(DOXY_PROJECT_NUMBER "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
  set(DOXY_PROJECT_BRIEF "\"Unofficial Evernote Cloud API for Qt\"")
  set(DOXY_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/doc")
  set(DOXY_WARN_IF_UNDOCUMENTED "NO")
  set(DOXY_EXTRACT_ALL "YES")
  if(BUILD_QCH_DOCUMENTATION)
    set(DOXY_GENERATE_QHP "YES")
  else()
    set(DOXY_GENERATE_QHP "NO")
  endif()
  ADD_DOCUMENTATION(doc Doxyfile)
endif()

include(QEverCloudCompilerSettings)
include(QEverCloudSetupQt)

if(USE_QT5)
  set(QEVERCLOUD_QT_VERSION "qt5")
else()
  set(QEVERCLOUD_QT_VERSION "qt4")
endif()

if(NOT CMAKE_INSTALL_LIBDIR)
  set(CMAKE_INSTALL_LIBDIR "lib")
endif()

if(NOT CMAKE_INSTALL_BINDIR)
  set(CMAKE_INSTALL_BINDIR "bin")
endif()

if(NOT CMAKE_INSTALL_INCLUDEDIR)
  set(CMAKE_INSTALL_INCLUDEDIR "include")
endif()

if(NOT INSTALL_CMAKE_DIR)
  if(WIN32 AND NOT CYGWIN)
    set(INSTALL_CMAKE_DIR "CMake")
  else()
    set(INSTALL_CMAKE_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/QEverCloud-${QEVERCLOUD_QT_VERSION}")
  endif()
endif()

set(BUILD_SHARED ON CACHE BOOL "Build shared library, otherwise static library")
set(MAJOR_VERSION_LIB_NAME_SUFFIX OFF CACHE BOOL "If on, the project's major version would be added to the library's name as a suffix")
set(MAJOR_VERSION_DEV_HEADERS_FOLDER_NAME_SUFFIX OFF CACHE BOOL "If on, the project's major version would be added to the library's development headers' folder name as a suffix")

if(MSVC)
  set(QEVERCLOUD_LIBNAME_PREFIX "lib")
else()
  set(QEVERCLOUD_LIBNAME_PREFIX "")
endif()

set(QEVERCLOUD_LIBNAME_SUFFIX "")
if(MAJOR_VERSION_LIB_NAME_SUFFIX)
  set(QEVERCLOUD_LIBNAME_SUFFIX "${PROJECT_VERSION_MAJOR}")
endif()

if(QEVERCLOUD_USE_QT_WEB_ENGINE)
  set(QEVERCLOUD_USES_QT_WEB_ENGINE "set(QEVERCLOUD_USE_QT_WEB_ENGINE TRUE)")
else()
  set(QEVERCLOUD_USES_QT_WEB_ENGINE "set(QEVERCLOUD_USE_QT_WEB_ENGINE FALSE)")
endif()

if(BUILD_WITH_OAUTH_SUPPORT)
  set(QEVERCLOUD_HAS_OAUTH "set(QEVERCLOUD_HAS_OAUTH TRUE)")
else()
  set(QEVERCLOUD_HAS_OAUTH "set(QEVERCLOUD_HAS_OAUTH FALSE)")
endif()

configure_file(QEverCloud/cmake/modules/QEverCloudBuildTreeSettings.cmake.in
  ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}BuildTreeSettings.cmake @ONLY)
configure_file(QEverCloud/cmake/modules/QEverCloudConfig.cmake.in
  ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}Config.cmake @ONLY)
configure_file(QEverCloud/cmake/modules/QEverCloudConfigVersion.cmake.in
  ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}ConfigVersion.cmake @ONLY)

if(USE_QT5)
  file(COPY QEverCloud/cmake/modules/QEverCloudFindQt5DependenciesCore.cmake DESTINATION ${PROJECT_BINARY_DIR})
  file(RENAME ${PROJECT_BINARY_DIR}/QEverCloudFindQt5DependenciesCore.cmake ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake)

  if(BUILD_WITH_OAUTH_SUPPORT)
    if(USE_QT5_WEBKIT OR (Qt5Core_VERSION VERSION_LESS "5.4.0"))
      file(READ QEverCloud/cmake/modules/QEverCloudFindQt5DependenciesWebKit.cmake WEBKIT_DEPS_FILE)
      file(APPEND ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake "${WEBKIT_DEPS_FILE}")
    elseif(Qt5Core_VERSION VERSION_LESS "5.6.0")
      file(READ QEverCloud/cmake/modules/QEverCloudFindQt5DependenciesWebEngineNoCore.cmake WEBENGINE_NO_CORE_DEPS_FILE)
      file(APPEND ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake "${WEBENGINE_NO_CORE_DEPS_FILE}")
    else()
      file(READ QEverCloud/cmake/modules/QEverCloudFindQt5DependenciesWebEngineCore.cmake WEBENGINE_CORE_DEPS_FILE)
      file(APPEND ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake "${WEBENGINE_CORE_DEPS_FILE}")
    endif()
  endif()
else()
  if(BUILD_WITH_OAUTH_SUPPORT)
    file(COPY QEverCloud/cmake/modules/QEverCloudFindQt4DependenciesWithWebKit.cmake DESTINATION ${PROJECT_BINARY_DIR})
    file(RENAME ${PROJECT_BINARY_DIR}/QEverCloudFindQt4DependenciesWithWebKit.cmake ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake)
  else()
    file(COPY QEverCloud/cmake/modules/QEverCloudFindQt4Dependencies.cmake DESTINATION ${PROJECT_BINARY_DIR})
    file(RENAME ${PROJECT_BINARY_DIR}/QEverCloudFindQt4Dependencies.cmake ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake)
  endif()
endif()

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
enable_testing()

add_subdirectory(QEverCloud)

add_custom_target(check COMMAND "${CMAKE_CTEST_COMMAND}" "--verbose")

=== src/qevercloud/QEverCloud/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

include(QEverCloudCMakePolicies)
SET_POLICIES()

set(QEVERCLOUD_BINARY_DIR ${PROJECT_BINARY_DIR})

set(PUBLIC_HEADERS
    headers/QEverCloud.h)

if(BUILD_WITH_OAUTH_SUPPORT)
  list(APPEND PUBLIC_HEADERS
    headers/QEverCloudOAuth.h)
endif()

set(NON_GENERATED_HEADERS
    headers/export.h
    headers/exceptions.h
    headers/globals.h
    headers/thumbnail.h
    headers/AsyncResult.h
    headers/InkNoteImageDownloader.h
    headers/Optional.h
    headers/EverCloudException.h
    headers/qt4helpers.h
    headers/EventLoopFinisher.h)

if(BUILD_WITH_OAUTH_SUPPORT)
  list(APPEND NON_GENERATED_HEADERS
    headers/oauth.h)
endif()

set(GENERATED_HEADERS
    headers/generated/constants.h
    headers/generated/services.h
    headers/generated/types.h
    headers/generated/EDAMErrorCode.h)

set(PRIVATE_HEADERS
    src/thrift.h
    src/http.h
    src/impl.h
    src/generated/types_impl.h)

set(SOURCES
    src/globals.cpp
    src/exceptions.cpp
    src/http.cpp
    src/services_nongenerated.cpp
    src/AsyncResult.cpp
    src/EverCloudException.cpp
    src/EventLoopFinisher.cpp
    src/thumbnail.cpp
    src/InkNoteImageDownloader.cpp
    src/generated/constants.cpp
    src/generated/services.cpp
    src/generated/types.cpp)

if(BUILD_WITH_OAUTH_SUPPORT)
  list(APPEND SOURCES
    src/oauth.cpp)
endif()

set(ALL_HEADERS_AND_SOURCES ${PUBLIC_HEADERS})
list(APPEND ALL_HEADERS_AND_SOURCES ${NON_GENERATED_HEADERS})
list(APPEND ALL_HEADERS_AND_SOURCES ${GENERATED_HEADERS})
list(APPEND ALL_HEADERS_AND_SOURCES ${PRIVATE_HEADERS})
list(APPEND ALL_HEADERS_AND_SOURCES ${SOURCES})

if(BUILD_WITH_OAUTH_SUPPORT)
  set(QEVERCLOUD_HAS_OAUTH "#define QEVERCLOUD_HAS_OAUTH 1")
else()
  set(QEVERCLOUD_HAS_OAUTH "#define QEVERCLOUD_HAS_OAUTH 0")
endif()

if(QEVERCLOUD_USE_QT_WEB_ENGINE)
  set(QEVERCLOUD_USES_QT_WEB_ENGINE "#define QEVERCLOUD_USE_QT_WEB_ENGINE 1")
else()
  set(QEVERCLOUD_USES_QT_WEB_ENGINE "#define QEVERCLOUD_USE_QT_WEB_ENGINE 0")
endif()

configure_file(headers/VersionInfo.h.in
  ${PROJECT_BINARY_DIR}/VersionInfo.h @ONLY)
list(APPEND ALL_HEADERS_AND_SOURCES ${PROJECT_BINARY_DIR}/VersionInfo.h)
include_directories(${PROJECT_BINARY_DIR})

set(LIBNAME "${QEVERCLOUD_LIBNAME_PREFIX}${QEVERCLOUD_QT_VERSION}qevercloud${QEVERCLOUD_LIBNAME_SUFFIX}")

if(BUILD_SHARED)
  add_definitions("-DQEVERCLOUD_SHARED_LIBRARY")
  add_library(${LIBNAME} SHARED ${ALL_HEADERS_AND_SOURCES})
else()
  add_definitions("-DQEVERCLOUD_STATIC_LIBRARY")
  add_library(${LIBNAME} STATIC ${ALL_HEADERS_AND_SOURCES})
endif()

set_target_properties(${LIBNAME} PROPERTIES
  VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}"
  SOVERSION "${PROJECT_VERSION_MAJOR}"
  MACOSX_RPATH 1
  INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")

target_link_libraries(${LIBNAME} ${QT_LIBRARIES})

if(NOT USE_QT5)
  # NOTE: workarounding what seems to be a CMake bug...
  target_link_libraries(${LIBNAME} Qt4::QtWebKit)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/headers)

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT")

# Tests
if(USE_QT5)
  find_package(Qt5Test QUIET)
else()
  find_package(QT4 COMPONENTS QTCORE QTTEST QUIET)
endif()

if((USE_QT5 AND Qt5Test_FOUND) OR (NOT USE_QT5 AND Qt4_FOUND))
  set(TEST_SOURCES
      src/tests/TestQEverCloud.cpp)
  add_executable(test_${PROJECT_NAME} ${TEST_SOURCES})
  add_test(test_${PROJECT_NAME} test_${PROJECT_NAME})
  if(USE_QT5)
    target_link_libraries(test_${PROJECT_NAME} ${LIBNAME} ${QT_LIBRARIES} Qt5::Test)
  else()
    target_link_libraries(test_${PROJECT_NAME} ${LIBNAME} Qt4::QtCore Qt4::QtGui Qt4::QtNetwork Qt4::QtWebKit Qt4::QtTest)
  endif()
else()
  message(STATUS "Haven't found Qt components required for building and running the unit tests")
endif()

# install shared library
install(TARGETS ${LIBNAME}
  EXPORT QEverCloud-${QEVERCLOUD_QT_VERSION}LibraryDepends
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

set(DEV_HEADERS_FOLDER_NAME ${QEVERCLOUD_QT_VERSION}qevercloud)
if(MAJOR_VERSION_DEV_HEADERS_FOLDER_NAME_SUFFIX)
  string(CONCAT DEV_HEADERS_FOLDER_NAME ${DEV_HEADERS_FOLDER_NAME} ${PROJECT_VERSION_MAJOR})
endif()

# install public headers
foreach(ITEM ${PUBLIC_HEADERS})
  install(FILES ${ITEM} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${DEV_HEADERS_FOLDER_NAME})
endforeach()

foreach(ITEM ${NON_GENERATED_HEADERS})
  install(FILES ${ITEM} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${DEV_HEADERS_FOLDER_NAME})
endforeach()

foreach(ITEM ${GENERATED_HEADERS})
  install(FILES ${ITEM} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${DEV_HEADERS_FOLDER_NAME}/generated)
endforeach()

# install VersionInfo.h header
install(FILES ${PROJECT_BINARY_DIR}/VersionInfo.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${DEV_HEADERS_FOLDER_NAME})

# install cmake module
if(BUILD_SHARED)
  install(EXPORT QEverCloud-${QEVERCLOUD_QT_VERSION}LibraryDepends DESTINATION ${INSTALL_CMAKE_DIR})
  install(FILES ${PROJECT_SOURCE_DIR}/QEverCloud/cmake/modules/QEverCloudFindPackageWrapperMacro.cmake DESTINATION ${INSTALL_CMAKE_DIR})
  install(FILES ${QEVERCLOUD_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake DESTINATION ${INSTALL_CMAKE_DIR})
  install(FILES ${QEVERCLOUD_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}Config.cmake DESTINATION ${INSTALL_CMAKE_DIR})
  install(FILES ${QEVERCLOUD_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}ConfigVersion.cmake DESTINATION ${INSTALL_CMAKE_DIR})
endif()

=== debian/changelog ===
nixnote2 (2.1.4+dfsg1-1) unstable; urgency=medium

  * New upstream release 2.1.4.
  * debian/copyright: Refresh information.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Aug 2019 15:32:17 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://github.com/robert7/nixnote2
 Vcs-Git: https://salsa.debian.org/debian/nixnote2.git

## nixnote2 2.1.5+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -207,6 +207,7 @@
         src/utilities/noteindexer.cpp
         src/utilities/nuuid.cpp
         src/utilities/pixelconverter.cpp
+        src/utilities/NixnoteStringUtils.cpp
         src/watcher/filewatcher.cpp
         src/watcher/filewatchermanager.cpp
         src/xml/batchimport.cpp
@@ -312,5 +313,3 @@
         src/gui/favoritesviewitem.h
         src/gui/findreplace.h
         src/gui/flowlayout.h
-        src/gui/imagedelegate.h
-        src/gui/lineedit.h

=== debian/changelog ===
nixnote2 (2.1.5+dfsg1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:20:43 +0100

nixnote2 (2.1.5+dfsg1-1) unstable; urgency=medium

  * New upstream release 2.1.5.
  * debian/control:
    + Bump Standards-Version to 4.4.1.

 -- Boyuan Yang <byang@debian.org>  Mon, 21 Oct 2019 11:33:28 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://github.com/robert7/nixnote2
 Vcs-Git: https://salsa.debian.org/debian/nixnote2.git

=== debian/rules ===
--- 
+++ 
@@ -13,11 +13,5 @@
 %:
 	dh $@ --buildsystem=qmake
 
-override_dh_auto_configure:
-	dh_auto_configure -- PREFIX=/usr
-
 override_dh_missing:
 	dh_missing --fail-missing
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## nixnote2 2.1.6+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -159,15 +159,15 @@
         src/oauth/oauthtokenizer.cpp
         src/oauth/oauthwindow.cpp
         src/hunspell/spellchecker.cpp
-        src/qevercloud/AsyncResult.cpp
-        src/qevercloud/EventLoopFinisher.cpp
-        src/qevercloud/exceptions.cpp
-        src/qevercloud/generated/constants.cpp
-        src/qevercloud/generated/services.cpp
-        src/qevercloud/generated/types.cpp
-        src/qevercloud/http.cpp
-        src/qevercloud/oauth.cpp
-        src/qevercloud/services_nongenerated.cpp
+        src/qevercloud/QEverCloud/src/AsyncResult.cpp
+        src/qevercloud/QEverCloud/src/EventLoopFinisher.cpp
+        src/qevercloud/QEverCloud/src/exceptions.cpp
+        src/qevercloud/QEverCloud/src/generated/constants.cpp
+        src/qevercloud/QEverCloud/src/generated/services.cpp
+        src/qevercloud/QEverCloud/src/generated/types.cpp
+        src/qevercloud/QEverCloud/src/http.cpp
+        src/qevercloud/QEverCloud/src/oauth.cpp
+        src/qevercloud/QEverCloud/src/services_nongenerated.cpp
         src/reminders/reminderevent.cpp
         src/reminders/remindermanager.cpp
         src/settings/accountsmanager.cpp
@@ -309,7 +309,3 @@
         src/gui/datedelegate.h
         src/gui/externalbrowse.h
         src/gui/favoritesview.h
-        src/gui/favoritesviewdelegate.h
-        src/gui/favoritesviewitem.h
-        src/gui/findreplace.h
-        src/gui/flowlayout.h

=== src/qevercloud/CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,25 @@
 cmake_minimum_required(VERSION 2.8.11)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/QEverCloud/cmake/modules")
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/QEverCloud/cmake/modules/sanitizers")
+
 include(QEverCloudCMakePolicies)
 SET_POLICIES()
 
 if("${CMAKE_MAJOR_VERSION}" GREATER "2")
   project(QEverCloud
-          VERSION 4.0.0)
+          VERSION 4.1.0)
 else()
   project(QEverCloud)
   set(PROJECT_VERSION_MAJOR "4")
-  set(PROJECT_VERSION_MINOR "0")
+  set(PROJECT_VERSION_MINOR "1")
   set(PROJECT_VERSION_PATCH "0")
   set(PROJECT_VERSION_COUNT 3)
   set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
 endif()
 
 set(PROJECT_VENDOR "Dmitry Ivanov")
-set(PROJECT_COPYRIGHT_YEAR "2015-2016")
+set(PROJECT_COPYRIGHT_YEAR "2015-2018")
 set(PROJECT_DOMAIN_FIRST "qevercloud")
 set(PROJECT_DOMAIN_SECOND "com")
 set(PROJECT_DOMAIN "${PROJECT_DOMAIN_FIRST}.${PROJECT_DOMAIN_SECOND}")
@@ -48,12 +50,14 @@
 endif()
 
 include(QEverCloudCompilerSettings)
+
+set(BUILD_WITH_QT4 OFF CACHE BOOL "Build against Qt4 instead of Qt5")
 include(QEverCloudSetupQt)
 
-if(USE_QT5)
+if(BUILD_WITH_QT4)
+  set(QEVERCLOUD_QT_VERSION "qt4")
+else()
   set(QEVERCLOUD_QT_VERSION "qt5")
-else()
-  set(QEVERCLOUD_QT_VERSION "qt4")
 endif()
 
 if(NOT CMAKE_INSTALL_LIBDIR)
@@ -110,7 +114,15 @@
 configure_file(QEverCloud/cmake/modules/QEverCloudConfigVersion.cmake.in
   ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}ConfigVersion.cmake @ONLY)
 
-if(USE_QT5)
+if(BUILD_WITH_QT4)
+  if(BUILD_WITH_OAUTH_SUPPORT)
+    file(COPY QEverCloud/cmake/modules/QEverCloudFindQt4DependenciesWithWebKit.cmake DESTINATION ${PROJECT_BINARY_DIR})
+    file(RENAME ${PROJECT_BINARY_DIR}/QEverCloudFindQt4DependenciesWithWebKit.cmake ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake)
+  else()
+    file(COPY QEverCloud/cmake/modules/QEverCloudFindQt4Dependencies.cmake DESTINATION ${PROJECT_BINARY_DIR})
+    file(RENAME ${PROJECT_BINARY_DIR}/QEverCloudFindQt4Dependencies.cmake ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake)
+  endif()
+else()
   file(COPY QEverCloud/cmake/modules/QEverCloudFindQt5DependenciesCore.cmake DESTINATION ${PROJECT_BINARY_DIR})
   file(RENAME ${PROJECT_BINARY_DIR}/QEverCloudFindQt5DependenciesCore.cmake ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake)
 
@@ -126,15 +138,9 @@
       file(APPEND ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake "${WEBENGINE_CORE_DEPS_FILE}")
     endif()
   endif()
-else()
-  if(BUILD_WITH_OAUTH_SUPPORT)
-    file(COPY QEverCloud/cmake/modules/QEverCloudFindQt4DependenciesWithWebKit.cmake DESTINATION ${PROJECT_BINARY_DIR})
-    file(RENAME ${PROJECT_BINARY_DIR}/QEverCloudFindQt4DependenciesWithWebKit.cmake ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake)
-  else()
-    file(COPY QEverCloud/cmake/modules/QEverCloudFindQt4Dependencies.cmake DESTINATION ${PROJECT_BINARY_DIR})
-    file(RENAME ${PROJECT_BINARY_DIR}/QEverCloudFindQt4Dependencies.cmake ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake)
-  endif()
 endif()
+
+find_package(Sanitizers)
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 enable_testing()

=== src/qevercloud/QEverCloud/CMakeLists.txt ===
--- 
+++ 
@@ -94,16 +94,18 @@
   add_library(${LIBNAME} STATIC ${ALL_HEADERS_AND_SOURCES})
 endif()
 
+add_sanitizers(${LIBNAME})
+
 set_target_properties(${LIBNAME} PROPERTIES
   VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}"
-  SOVERSION "${PROJECT_VERSION_MAJOR}"
+  SOVERSION ${PROJECT_VERSION_MAJOR}
   MACOSX_RPATH 1
   INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
 
 target_link_libraries(${LIBNAME} ${QT_LIBRARIES})
 
-if(NOT USE_QT5)
-  # NOTE: workarounding what seems to be a CMake bug...
+if(BUILD_WITH_QT4)
+  # NOTE: working around what seems to be a CMake bug
   target_link_libraries(${LIBNAME} Qt4::QtWebKit)
 endif()
 
@@ -112,21 +114,22 @@
 add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT")
 
 # Tests
-if(USE_QT5)
+if(BUILD_WITH_QT4)
+  find_package(QT4 COMPONENTS QTCORE QTTEST QUIET)
+else()
   find_package(Qt5Test QUIET)
-else()
-  find_package(QT4 COMPONENTS QTCORE QTTEST QUIET)
 endif()
 
-if((USE_QT5 AND Qt5Test_FOUND) OR (NOT USE_QT5 AND Qt4_FOUND))
+if((NOT BUILD_WITH_QT4 AND Qt5Test_FOUND) OR (BUILD_WITH_QT4 AND Qt4_FOUND))
   set(TEST_SOURCES
       src/tests/TestQEverCloud.cpp)
   add_executable(test_${PROJECT_NAME} ${TEST_SOURCES})
+  add_sanitizers(test_${PROJECT_NAME})
   add_test(test_${PROJECT_NAME} test_${PROJECT_NAME})
-  if(USE_QT5)
+  if(BUILD_WITH_QT4)
+    target_link_libraries(test_${PROJECT_NAME} ${LIBNAME} Qt4::QtCore Qt4::QtGui Qt4::QtNetwork Qt4::QtWebKit Qt4::QtTest)
+  else()
     target_link_libraries(test_${PROJECT_NAME} ${LIBNAME} ${QT_LIBRARIES} Qt5::Test)
-  else()
-    target_link_libraries(test_${PROJECT_NAME} ${LIBNAME} Qt4::QtCore Qt4::QtGui Qt4::QtNetwork Qt4::QtWebKit Qt4::QtTest)
   endif()
 else()
   message(STATUS "Haven't found Qt components required for building and running the unit tests")

=== debian/changelog ===
nixnote2 (2.1.6+dfsg1-1) unstable; urgency=medium

  * new upstream release 2.1.6.
  * debian/control:
    + Bump debhelper compat to v13.
  
  [ Debian Janitor ]
  * debian/upstream/metadata: Add missing metadata.

 -- Boyuan Yang <byang@debian.org>  Wed, 06 May 2020 10:24:12 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libavcodec-dev,
  libavformat-dev,
  libboost-dev,
@@ -17,7 +17,7 @@
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/robert7/nixnote2
 Vcs-Git: https://salsa.debian.org/debian/nixnote2.git

## nixnote2 2.1.7~git20220718+dfsg1

=== debian/changelog ===
nixnote2 (2.1.7~git20220718+dfsg1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Remove constraints unnecessary since buster:
    + Remove 1 maintscript entries from 1 files.

  [ Boyuan Yang ]
  * Update standards version to 4.6.1, no changes needed.
  * New upstream snapshot.
  * debian/copyright: refresh information.

 -- Boyuan Yang <byang@debian.org>  Tue, 01 Nov 2022 14:00:35 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/robert7/nixnote2
 Vcs-Git: https://salsa.debian.org/debian/nixnote2.git

## nixnote2 2.1.9+dfsg1

=== debian/changelog ===
nixnote2 (2.1.9+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jun 2023 11:32:35 -0400

nixnote2 (2.1.8+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Apr 2023 10:41:56 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/robert7/nixnote2
 Vcs-Git: https://salsa.debian.org/debian/nixnote2.git
